<div>
<div><button (click)="onCreateItem()" [disabled] = "!allow">Create Item</button></div>
<div><button (click)="onEditItem()" [disabled] = "allow">Edit Item</button></div>
<div><button (click)="onDeleteItem()" [disabled]="allow">Delete Item</button></div>
<div><button (click)="onMoveItemUp()" [disabled]="allow">Move Up</button></div>
<div><button (click)="onMoveItemDown()" [disabled]="allow">Move Down</button></div>
<div *ngIf="isEditPresent">
  <div><input type="text" [value]="getCurrentValue()" #edit></div>
  <div>
    <button  (click)="saveText(edit.value)">Save</button></div>
  <div><button (click)="onEditItem()">Cancel</button></div>
</div>
</div>